/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 * @flow
 */

import React, {Component} from 'react';
import {Platform, StyleSheet, Text, View,TextInput} from 'react-native';
import ActionButton from 'react-native-action-button';
import {responsiveHeight,responsiveWidth} from 'react-native-responsive-dimensions';
import CardView from 'react-native-cardview';
import { LoginUi } from './ui/Login.ui';
import BaseScreen from "../BaseScreen";

type Props = {};
export default class Connect extends BaseScreen {
  static navigatorStyle = {
    drawUnderNavBar: true,
    navBarHidden:true,
    drawUnderStatusBar: false,
    statusBarHidden: true,
    statusBarTextColorScheme: 'light',
  };
    static options(passProps) {
        return {
            statusBar: {
                visible: false,
                drawBehind: true,
            },
            topBar: {
                drawBehind: true,
                visible: false,
                animate: false
            }
        };
    }
    

  constructor(props){
    super(props);
  };
 
    render () {
      return (
    
        <LoginUi
            navigation={this.props.navigation}
            styles={styles.container}/>
      )
    }
  }

const styles = StyleSheet.create({
  container: {
    width:responsiveWidth(100),
    height:responsiveHeight(100)    
},
  hambuger:{
    width:responsiveWidth(5),
    marginLeft: 10,
  },
  topBar:{
    flexDirection: 'row',
    position:'absolute',
    alignSelf: 'center',
    borderWidth: 0,
    alignItems: 'center',
    marginTop: 5,
    width:responsiveWidth(95),
    height:responsiveHeight(10),

  },
  searchInput:{
    width:responsiveWidth(70)

  },
  search: {
    width:responsiveWidth(70),
    height:responsiveHeight(10),
    backgroundColor:'#00000000',
  
    
  },
  
  map:{
    width:responsiveWidth(100),
    height:responsiveHeight(100),
  },
  backgroundd_drawer:{
      backgroundColor:'#000',
  },
  cardsearch:{
      width:responsiveWidth(90),
      height:responsiveHeight(10),
      position:'absolute',
      alignSelf: 'center',
      marginTop: 5,
       
  },
  actionButtonIcon: {
    fontSize: 20,
    height: 22,
  
    color: 'white',
  },
  welcome: {
    fontSize: 20,
    textAlign: 'center',
    margin: 10,
  },
  instructions: {
    textAlign: 'center',
    color: '#333333',
    marginBottom: 5,
  },
});
